Data Hub
Feedback

List feedback

Callers with the `feedback:admin` scope see every report. Everyone else sees only their own, including an admin using a token without that scope.

GET
/feedback

Callers with the feedback:admin scope see every report. Everyone else sees only their own, including an admin using a token without that scope.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Query Parameters

status?string

Value in

  • "open"
  • "resolved"
  • "declined"
kind?string

Value in

  • "bug"
  • "feature_request"
  • "other"
page?integer
Range1 <= value
per_page?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/feedback"
{  "feedback": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "bug",      "title": "string",      "description": "string",      "attempted_action": "string",      "tool_name": "string",      "error_message": "string",      "source": "mcp",      "oauth_client_id": "string",      "oauth_client_name": "string",      "page_url": "string",      "status": "open",      "admin_note": "string",      "reporter": {        "id": "string",        "name": "string",        "email": "string"      },      "status_updated_by": {        "id": "string",        "name": "string",        "email": "string"      },      "status_updated_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "counts": {    "open": 0,    "resolved": 0,    "declined": 0  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}